Bug 1079064 - Review Request: btbuilder - Role-playing game construction set in the style of the Bard's Tale Construction Set
Review Request: btbuilder - Role-playing game construction set in the style o...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Rosser
Fedora Extras Quality Assurance
: Reopened
Depends On: 1227972
Blocks: FE-GAMESIG
  Show dependency treegraph
 
Reported: 2014-03-20 17:40 EDT by Dennis Payne
Modified: 2016-09-10 16:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-10 16:54:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rosser.bjr: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dennis Payne 2014-03-20 17:40:02 EDT
Spec URL: https://raw.githubusercontent.com/dulsi/btbuilder/master/btbuilder.spec
SRPM URL: http://identicalsoftware.com/btbuilder/btbuilder-0.4.2-1.fc20.src.rpm
Description: Bt Builder is an open source implementation of the Bard's Tale Construction Set. The eventual goal is to make a game builder that can implement the three main Bard's Tale games in addition to Construction Set games.
Fedora Account System Username: dulsi
I am the upstream maintainer of btbuilder

Koji: 6655563 build (f20, btbuilder-0.4.2-1.fc20.src.rpm) completed successfully

Warning: Some images in the program are of scantily clad women. None are naked. If some are inappropriate I can remove them.

This is my first package and I need a sponsor.
Comment 1 Adrien Vergé 2014-03-20 19:58:52 EDT
Hi dulsi,

There are a few things you need to correct.

Please cut the %description line to fit 80 characters.

Even for your first release, you need to put a %changelog entry in the spec. See:
https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

If you install a .desktop file, please use:
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

update-desktop-database is used to rebuild the cache database for MIME types. If your program doesn't handle specific MIME types, you can remove it.

Replace $RPM_BUILD_ROOT with %{buildroot}.

From what I read in your Makefile:
LIBS = $(SDL_LDFLAGS) -lSDL_image -lSDL_mixer -lexpat -lSDL_ttf -lphysfs \
-lboost_filesystem -lboost_system -lpng
your package depends on some libraries. You need to declare them explicitely with Requires entries. Please refer to this section:
https://fedoraproject.org/wiki/Packaging:Guidelines#Requires_2

Last thing, btbuilder is under GPLv2+, but includes artwork that "is not necessarily under the GPL": is it allowed? I'm not a specialist, but I think it's worth checking :)

Thank you
Comment 2 Adrien Vergé 2014-03-20 20:01:38 EDT
Actually, you can remove these two lines:
%clean
rm -rf $RPM_BUILD_ROOT
Comment 3 Christopher Meng 2014-03-20 21:57:43 EDT
1. Please introduce yourself at @devel list:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Introduce_yourself

2. Please use your real name instead of a simple email address in bugzilla(dulsi@XXXX)

3. Please cleanup based on first 2 comments from Adrien, and post new spec, srpm with release bumped from -1 to -2.
Comment 4 Christopher Meng 2014-03-20 22:00:16 EDT
4. Recommended summary from upstream homepage:

Open source implementation of the Bard's Tale Construction Set

5. You BuildRequires: desktop-file-utils

But you didn't use it.

%{_datadir}/applications/btbuilder.desktop

Check:

https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage
Comment 5 Dennis Payne 2014-03-21 07:38:27 EDT
I don't like that summary because btbuilder does more than the Bard's Tale Construction Set. How about "Role-playing game construction set in the style of the Bard's Tale Construction Set"? I should improve the desrcription as well.

I'm using desktop-file-install in the Makefile. Is that considered bad? Should I move it to the install section of the spec? Do I need to do desktop-file-validate since I'm using install?

I don't understand Adrien's comments on requires. According to the guidelines:

RPM has very good capabilities of automatically finding dependencies for libraries and eg. Perl modules. In short, don't reinvent the wheel, but just let rpm do its job. There is usually no need to explicitly list

I believe all my library uses will be detected by RPM.

The GPLv2+ issue is being looked into. When I added the images all the code was mine so I could make an exception for the images. With the addition of the mng code that isn't possible.

Sorry about not using my real name on the bugzilla account. I created it a long time ago and didn't see the point of putting in my name.
Comment 6 Christopher Meng 2014-03-21 07:46:04 EDT
(In reply to Dennis Payne from comment #5)
> I don't like that summary because btbuilder does more than the Bard's Tale
> Construction Set. How about "Role-playing game construction set in the style
> of the Bard's Tale Construction Set"? I should improve the desrcription as
> well.

Hi Denis, well, it's up to you. I'm not from upstream.

> I'm using desktop-file-install in the Makefile. Is that considered bad?
> Should I move it to the install section of the spec? Do I need to do
> desktop-file-validate since I'm using install?

Oh...

A new case ;)

I think the current way is OK if you add this command in makefile instead of some upstream people just use install directly.
 
> I don't understand Adrien's comments on requires. According to the
> guidelines:
> 
> RPM has very good capabilities of automatically finding dependencies for
> libraries and eg. Perl modules. In short, don't reinvent the wheel, but just
> let rpm do its job. There is usually no need to explicitly list
> 
> I believe all my library uses will be detected by RPM.

I don't find any questionable things on BRs. I'm concerned about:

1. Long %description. Remember 79 chars per line.

2. Remove %clean section.

3. No %changelog section.

4. %doc README CONTRIBUTIONS.TXT

Where is license file?

> Sorry about not using my real name on the bugzilla account. I created it a
> long time ago and didn't see the point of putting in my name.

Yes it's okay in the past, but not from now :)
Comment 7 Dennis Payne 2014-03-24 22:33:46 EDT
SRPM: http://identicalsoftware.com/btbuilder/btbuilder-0.4.3-1.fc20.src.rpm

All non-gpl images have been removed. License updated to gplv3 to accommodate some artwork from opengameart.org.

About the Changelog section, how many previous version should be kept there? (Not that it matters yet.)

I believe I've addressed all the mentioned issues. Let me know if anything else should be changed. Thanks.
Comment 8 Christopher Meng 2014-04-20 01:31:38 EDT
Please follow 

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Introduce_yourself

_step by step_.
Comment 9 Dridi Boukelmoune 2014-04-25 06:09:17 EDT
(In reply to Dennis Payne from comment #7)
> SRPM: http://identicalsoftware.com/btbuilder/btbuilder-0.4.3-1.fc20.src.rpm

When you update, your spec and srpm, please use the same pattern from this bug description:

Spec URL: ...
SRPM URL: ...

This way, the fedora-review tool will get them both for sure. fedora-review automates the review process to some extent ;-)

You can locally try it on your own submission to catch errors faster and get more familiar with the guidelines.

> All non-gpl images have been removed. License updated to gplv3 to
> accommodate some artwork from opengameart.org.

You will need to fix this, and mention all the licenses for the package:
=> for instance "License: GPLv2 and GPLv3+"

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines

> About the Changelog section, how many previous version should be kept there?
> (Not that it matters yet.)

I encourage you to bump the Release tag every time you submit a new version during the review.

   * date name <email> - version-3
   - Updated the license for both code and assets

   * date name <email> - version-2
   - Removed non-gpl images
   - Updated the license to GPLv3+


   * date name <email> - version-1
   - Initial spec

It feels less confusing (for me) during reviews.

> I believe I've addressed all the mentioned issues. Let me know if anything
> else should be changed. Thanks.
Comment 10 Dennis Payne 2014-04-25 20:33:55 EDT
(In reply to Dridi Boukelmoune from comment #9)
Spec URL: https://raw.githubusercontent.com/dulsi/btbuilder/master/btbuilder.spec
SRPM URL: http://identicalsoftware.com/btbuilder/btbuilder-0.4.4-1.fc20.src.rpm

Ok. I didn't know about the fedora-review tool. I should looked at the complete Package Review Process instead of just the joining page.

> You will need to fix this, and mention all the licenses for the package:
> => for instance "License: GPLv2 and GPLv3+"
GPLv3+ is the only license. It was GPLv2+ but when I replaced the images some of the new images were GPLv3+. Rather than specify what is GPLv2+ and what is GPL3+, everything is now GPLv3+.

> I encourage you to bump the Release tag every time you submit a new version
> during the review.
> 
>    * date name <email> - version-3
>    - Updated the license for both code and assets

I would but I've been doing new releases of the project. I know I could do 0.4.4-3 even though there is no 0.4.4-1 or 0.4.4-2 I'd rather not.
Comment 11 Dennis Payne 2014-05-09 22:11:29 EDT
Spec URL: https://raw.githubusercontent.com/dulsi/btbuilder/master/btbuilder.spec
SRPM URL: http://identicalsoftware.com/btbuilder/btbuilder-0.4.5-1.fc20.src.rpm

Updating to the new btbuilder release. No other changes to the spec file.
Comment 12 Dennis Payne 2014-06-17 22:33:51 EDT
Spec URL: https://raw.githubusercontent.com/dulsi/btbuilder/master/btbuilder.spec
SRPM URL: http://identicalsoftware.com/btbuilder/btbuilder-0.4.6-1.fc20.src.rpm

Updating to the new btbuilder release. No other changes to the spec file.
Comment 13 Dennis Payne 2014-07-21 21:54:56 EDT
Spec URL: https://raw.githubusercontent.com/dulsi/btbuilder/master/btbuilder.spec
SRPM URL: http://identicalsoftware.com/btbuilder/btbuilder-0.4.7-1.fc20.src.rpm

Updating to the new btbuilder release. No other changes to the spec file.
Comment 14 Dennis Payne 2014-09-30 07:06:30 EDT
Spec URL: https://raw.githubusercontent.com/dulsi/btbuilder/master/btbuilder.spec
SRPM URL: http://identicalsoftware.com/btbuilder/btbuilder-0.5.0-1.fc20.src.rpm

Updating to the new btbuilder release. No other changes to the spec file.
Comment 15 Dennis Payne 2015-04-16 22:04:32 EDT
Spec URL: https://raw.githubusercontent.com/dulsi/btbuilder/master/btbuilder.spec
SRPM URL: http://identicalsoftware.com/btbuilder/btbuilder-0.5.1-1.fc20.src.rpm

Updating to the new btbuilder release. No other changes to the spec file.
Comment 16 Dennis Payne 2015-05-01 23:32:27 EDT
Spec URL: https://raw.githubusercontent.com/dulsi/btbuilder/master/btbuilder.spec
SRPM URL: http://identicalsoftware.com/btbuilder/btbuilder-0.5.2-1.fc21.src.rpm

Updating to the new btbuilder release. No other changes to the spec file.
Comment 17 Jason Tibbitts 2015-05-28 17:59:20 EDT
So, this has already gone through a bunch of review and the spec is about as clean as they come.

There are a couple of tiny rpmlint issues, which aren't blockers:

  btbuilder.x86_64: W: no-manual-page-for-binary btbuilder
Would be nice if there was a manpage, but it's not essential.

  btbuilder-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/btbuilder-0.5.2/src/SDL_mng.c
  btbuilder-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/btbuilder-0.5.2/src/SDL_mng.h
These have old copies of the GPL header which have the wrong address for the FSF.  Not a huge deal, but upstream should probably fix it.  However, that does unconver another issue:

The files SDL_mng.c and SDL_mng.h appear to come from somewhere else and have a different license.  Do you know where they're from?  I can't find them on the Debian code search site so they may not be bundled from another project, but I would like to make sure.

In the same vein, what about the code in "util"?  It appears to be very old, and has no license.  At least compressor.* and file.* are also present in the source tree, though file.C has several significant changes.  Neither are particularly large and appear to, well, not really be much in the way of code anyway.  Still, we have to be precise about these things.

And, finally, uh, when I run it things are pretty weird.  I get this absolutely, hilariously massive window which I cannot resize.  A screenshot of my desktop would be really big and have all sorts of embarrassing crap on it, but here's xwininfo output:

xwininfo: Window id: 0x4400003 (has no name)

  Absolute upper-left X:  698
  Absolute upper-left Y:  174
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 3200
  Height: 2000
  Depth: 24
  Visual: 0x21
  Visual Class: DirectColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x440000c (not installed)
  Bit Gravity State: ForgetGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +698+174  --58+174  --58-226  +698-226
  -geometry 3200x2000--58+153

3200 x 2000?

My desktop is large, but not rectangular.  Three 24" 16x10 monitors, one above and one to the left of center.  So I can't see a quarter of the window as it is off in the region where I have no monitor.
Comment 18 Dennis Payne 2015-05-28 22:46:10 EDT
SDL_mng comes from http://sourceforge.net/projects/sdl-mng/ (actually I believe it came from an earlier site but that appears to be a new version). It doesn't compile to a shared library. I suggested the author do so as it would make it easier to use but he wasn't interested. I needed some changes to support mng generated by gimp. Since he didn't seem interested I incorporated it into btbuilder.

As for it being a different license, it is LGPLv2 with the clause to allow you to upgrade which means it can be LGPLv3. GPLv3 and LGPLv3 can be combined into a GPLv3 licensed program I believe. Compatability section of http://en.wikipedia.org/wiki/GNU_Lesser_General_Public_License says as much. (I know wikipedia isn't a definitive source but it was found in a quick search and seemed like the simplest explanation.)

util code is all mine and under the GPLv3. (Actually I should probably just remove all the util as they aren't really useful anymore.)

The screen size problem is interesting. You can run it from the command line with -u1 (or -u2 or other value). The lowest resolution of the game is 320x200. It includes 640x400 graphics as well. It tries to find the largest multiple of 640x400 that will fit on the screen. In your case that is a bad thing to do. I'll change it to max out at 640x400 unless the person runs it with a specific multiplier on the command line.
Comment 19 Jason Tibbitts 2015-05-30 16:51:04 EDT
OK, so sdl-mng will need a bundling exception.  I know that the licenses are compatible, but differing licenses like that are a red flag for possible bundling issues.

See https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

Your comment about being behind the upstream version is a pretty good argument for why we generally disallow such things.  Even if upstream doesn't supply the buildsystem to compile to a shared library, it's usually really easy to make it do so, and if not then it's still pretty easy to make it a separately packaged static library.  However, the situation has become more complicated if it's been patched.

Note that I'm on the packaging committee so I can make sure your request gets on the schedule.  I can guess that the committee is at least going to ask if you couldn't just separately package a static version of sdl-mng and will want a diff between your version and the distributed version.


As for the stuff in util, do what you like; since you're the author, it isn't an issue.

For the weird window size problem, I think your initial idea was a good one but you should limit it to the size of a single screen (which might be 800x600 or 4K) instead of the entire desktop (which might not even be rectangular).  That's essentially what the maximize button on any window manager will do.  I don't know if that level of screen geometry is passed down through SDL, though.
Comment 20 Jason Tibbitts 2015-05-30 16:56:44 EDT
Also, I looked at SDL_mng and it sure looks like it's intended to compile to a library of some type.  It has build infrastructure, a configure script and uses libtool.
Comment 21 Dennis Payne 2015-05-31 23:00:14 EDT
SDL_mng does create a shared library in the latest version. I don't believe that was the case initially. Do I need to open a new request for SDL_mng? I've forked the SDL_mng library. It adds my additions for animation state objects. Some memory leaks are fixed. One function is renamed to conform with naming convention in SDL. That function is also fixed to actually work.

Bt Builder:
Spec URL: https://raw.githubusercontent.com/dulsi/btbuilder/master/btbuilder.spec
SRPM URL: http://identicalsoftware.com/btbuilder/btbuilder-0.5.3-1.fc22.src.rpm

SDL_mng
Spec URL: https://raw.githubusercontent.com/dulsi/SDL_mng/master/SDL_mng.spec
SRPM URL: http://identicalsoftware.com/btbuilder/SDL_mng-0.2.2-2.fc22.src.rpm

The new btbuilder won't open a massive window anymore. I don't think SDL give me the size of a single screen but I'll look into that later.

Is there a forum or mailing list for mingw cross-compiling? I've copied the SDL_image mingw spec and modified it but it doesn't work. I don't know how to fix the error. (For the time being I'll just build the windows versions with SDL_mng files copied into it but ideally I want it built the same as the linux version.)

The error is:
configure: error: source directory already configured; run "make distclean" there first
Comment 22 Jason Tibbitts 2015-06-01 14:10:27 EDT
Yeah, one package review per ticket.  Let me know what it is and I'll take care of it as well.  I can make a couple of comments now, though:

If you've forked SDL_mng, I'm happy with that though it would be nice to document it.  Maybe one day you can re-merge with upstream.

You shouldn't need to use %defattr.

You really shouldn't use %makeinstall unless you don't have much choice: http://fedoraproject.org/wiki/Packaging:Guidelines#Why_the_.25makeinstall_macro_should_not_be_used
If the proper way with DESTDIR doesn't work, at least document that in your spec.

You shouldn't generally package libtool archives (.la files).

As for mingw, I don't know much about it but there's a list at https://lists.fedoraproject.org/mailman/listinfo/mingw and an IRC channel with a few people in at at #fedora-mingw on freenode.
Comment 23 Dennis Payne 2015-06-03 21:07:10 EDT
Spec URL: https://raw.githubusercontent.com/dulsi/btbuilder/master/btbuilder.spec
SRPM URL: http://identicalsoftware.com/btbuilder/btbuilder-0.5.3-1.fc22.src.rpm

These are the same files as the last update. The SDL_mng review request is created.

https://bugzilla.redhat.com/show_bug.cgi?id=1227972

I've put in the changes you mentioned.
Comment 24 Jason Tibbitts 2015-06-15 12:09:06 EDT
I ended up being completely hammered for the past several days but I promise I'll get back to this soon.
Comment 27 Jason Tibbitts 2015-08-07 20:04:21 EDT
I'm a terrible person.  Working on both of these tickets now.
Comment 28 Dennis Payne 2015-12-24 11:17:11 EST
Spec URL: https://raw.githubusercontent.com/dulsi/btbuilder/master/btbuilder.spec
SRPM URL: http://identicalsoftware.com/btbuilder/btbuilder-0.5.6-1.fc22.src.rpm

New release of btbuilder. I've added appdata file.
Comment 29 Jason Tibbitts 2015-12-24 18:48:39 EST
Unfortunately the srpm URL in that last comment is unreachable.  There are no patches so I can just remake it from the spec.

Finally a holiday, so I have time to take care of this.
Comment 30 Dennis Payne 2015-12-24 19:32:39 EST
Spec URL: https://raw.githubusercontent.com/dulsi/btbuilder/master/btbuilder.spec
SRPM URL: http://identicalsoftware.com/btbuilder/btbuilder-0.5.6-1.fc23.src.rpm

Oops. Forgot to switch fc22 to fc23 but as rebuilding is easy enough as well.
Comment 35 Ben Rosser 2016-08-26 22:57:52 EDT
Taking; I'll review this one, too, once you've imported and built SDL_mng for Rawhide.
Comment 36 Ben Rosser 2016-09-01 19:03:08 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

- Large data in /usr/share should live in a noarch subpackage if package
  is arched.
  Note: Arch-ed rpms have a total of 452556800 bytes in /usr/share
  btbuilder-0.5.11-1.fc26.x86_64.rpm:452556800

I suggest making a noarch btbuilder-data subpackage that btbuilder depends on for all (or most, anyway) of the noarch data. If you do this you should probably also put the %license COPYING in the data package, because that way if a user _just_ installs btbuilder-data for whatever reason they still get the license file. (this is because "License file installed when any subpackage combination is installed." is considered a MUST item). This will resolve both issues.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 54 files have unknown license. Detailed
     output of licensecheck in
     /home/bjr/Programming/fedora/reviews/1079064-btbuilder/licensecheck.txt

(This is okay, but see comment under "Issues").

[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/32x32/apps,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor

(Not sure why ownership isn't picked up properly here).

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in btbuilder
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[-]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     btbuilder-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 452556800 bytes in /usr/share
     btbuilder-0.5.11-1.fc26.x86_64.rpm:452556800
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: btbuilder-0.5.11-1.fc26.x86_64.rpm
          btbuilder-debuginfo-0.5.11-1.fc26.x86_64.rpm
          btbuilder-0.5.11-1.fc26.src.rpm
btbuilder.x86_64: W: spelling-error %description -l en_US Bt -> Br, B, T
btbuilder.x86_64: W: no-manual-page-for-binary btbuilder
btbuilder.src: W: spelling-error %description -l en_US Bt -> Br, B, T
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: btbuilder-debuginfo-0.5.11-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
btbuilder.x86_64: W: spelling-error %description -l en_US Bt -> Br, B, T
btbuilder.x86_64: W: no-manual-page-for-binary btbuilder
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
btbuilder (rpmlib, GLIBC filtered):
    /bin/sh
    libSDL2-2.0.so.0()(64bit)
    libSDL2_image-2.0.so.0()(64bit)
    libSDL2_mixer-2.0.so.0()(64bit)
    libSDL2_ttf-2.0.so.0()(64bit)
    libSDL_mng.so.0()(64bit)
    libboost_filesystem.so.1.60.0()(64bit)
    libboost_system.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libexpat.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libphysfs.so.1()(64bit)
    libpng16.so.16()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    rtld(GNU_HASH)

btbuilder-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
btbuilder:
    appdata()
    appdata(btbuilder.appdata.xml)
    application()
    application(btbuilder.desktop)
    btbuilder
    btbuilder(x86-64)

btbuilder-debuginfo:
    btbuilder-debuginfo
    btbuilder-debuginfo(x86-64)



Source checksums
----------------
http://www.identicalsoftware.com/btbuilder/btbuilder-0.5.11.tgz :
  CHECKSUM(SHA256) this package     : c665bce59dd9ae5d1ace222ee7ce93518974efa96a7866ea7ef74f4d96a0f05e
  CHECKSUM(SHA256) upstream package : c665bce59dd9ae5d1ace222ee7ce93518974efa96a7866ea7ef74f4d96a0f05e


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1079064
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 38 Ben Rosser 2016-09-02 18:33:02 EDT
Great, package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 54 files have unknown license. Detailed
     output of licensecheck in
     /home/bjr/Programming/fedora/reviews/1079064-btbuilder/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/32x32/apps,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in btbuilder
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     btbuilder-data , btbuilder-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: btbuilder-0.5.11-2.fc26.x86_64.rpm
          btbuilder-data-0.5.11-2.fc26.noarch.rpm
          btbuilder-debuginfo-0.5.11-2.fc26.x86_64.rpm
          btbuilder-0.5.11-2.fc26.src.rpm
btbuilder.x86_64: W: spelling-error %description -l en_US Bt -> Br, B, T
btbuilder.x86_64: W: no-manual-page-for-binary btbuilder
btbuilder-data.noarch: W: no-documentation
btbuilder.src: W: spelling-error %description -l en_US Bt -> Br, B, T
btbuilder.src:29: W: mixed-use-of-spaces-and-tabs (spaces: line 19, tab: line 29)
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: btbuilder-debuginfo-0.5.11-2.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
btbuilder.x86_64: W: spelling-error %description -l en_US Bt -> Br, B, T
btbuilder.x86_64: W: no-manual-page-for-binary btbuilder
btbuilder-data.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
btbuilder (rpmlib, GLIBC filtered):
    /bin/sh
    btbuilder-data
    libSDL2-2.0.so.0()(64bit)
    libSDL2_image-2.0.so.0()(64bit)
    libSDL2_mixer-2.0.so.0()(64bit)
    libSDL2_ttf-2.0.so.0()(64bit)
    libSDL_mng.so.0()(64bit)
    libboost_filesystem.so.1.60.0()(64bit)
    libboost_system.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libexpat.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libphysfs.so.1()(64bit)
    libpng16.so.16()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    rtld(GNU_HASH)

btbuilder-data (rpmlib, GLIBC filtered):
    btbuilder

btbuilder-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
btbuilder:
    appdata()
    appdata(btbuilder.appdata.xml)
    application()
    application(btbuilder.desktop)
    btbuilder
    btbuilder(x86-64)

btbuilder-data:
    btbuilder-data

btbuilder-debuginfo:
    btbuilder-debuginfo
    btbuilder-debuginfo(x86-64)



Source checksums
----------------
http://www.identicalsoftware.com/btbuilder/btbuilder-0.5.11.tgz :
  CHECKSUM(SHA256) this package     : c665bce59dd9ae5d1ace222ee7ce93518974efa96a7866ea7ef74f4d96a0f05e
  CHECKSUM(SHA256) upstream package : c665bce59dd9ae5d1ace222ee7ce93518974efa96a7866ea7ef74f4d96a0f05e


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1079064
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 39 Gwyn Ciesla 2016-09-04 13:42:51 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/btbuilder
Comment 40 Fedora Update System 2016-09-05 09:13:49 EDT
btbuilder-0.5.11-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b65f8c10a
Comment 41 Fedora Update System 2016-09-05 15:21:35 EDT
btbuilder-0.5.11-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b65f8c10a
Comment 42 Fedora Update System 2016-09-09 14:23:56 EDT
btbuilder-0.5.11-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f6d40c04f
Comment 43 Fedora Update System 2016-09-09 17:47:19 EDT
btbuilder-0.5.11-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 44 Fedora Update System 2016-09-10 02:51:55 EDT
btbuilder-0.5.11-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f6d40c04f
Comment 45 Parag AN(पराग) 2016-09-10 03:03:17 EDT
As this package is built in Fedora, I don't think this should block for FE-NEEDSPONSOR.
Comment 46 Fedora Update System 2016-09-10 16:54:22 EDT
btbuilder-0.5.11-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.